Bug 136372 - avc: denied {execute} for pid=509 and many others during fc3 test 2 BOOT
avc: denied {execute} for pid=509 and many others during fc3 test 2 BOOT
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 12:08 EDT by dave
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-23 07:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dave 2004-10-19 12:08:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
At the system boot I see the errors below, however It is worth noting
that although errors are displayed the system succesfully boots into
init 5 graphical mode, I am however still wanting this problem resolved

system log------------

scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 12 19:56:56 localhost kernel: audit(1097610985.040:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles
name=.udev.tdb dev=tmpfs ino=951 scontext=system_u:object_r:udev_tbl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 12 20:04:53 localhost kernel: audit(1097611467.734:0): avc: 
denied  { associate } for  pid=549 exe=/sbin/restorecon name=initctl
dev=tmpfs ino=2668 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 12 20:04:53 localhost kernel: audit(1097611468.205:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles name=initctl
dev=tmpfs ino=2668 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 12 20:04:53 localhost kernel: audit(1097611468.213:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles
name=.udev.tdb dev=tmpfs ino=951 scontext=system_u:object_r:udev_tbl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 12 20:16:54 localhost kernel: audit(1097612183.867:0): avc: 
denied  { associate } for  pid=549 exe=/sbin/restorecon name=initctl
dev=tmpfs ino=2668 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 12 20:16:54 localhost kernel: audit(1097612184.322:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles name=initctl
dev=tmpfs ino=2668 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 12 20:16:54 localhost kernel: audit(1097612184.330:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles
name=.udev.tdb dev=tmpfs ino=951 scontext=system_u:object_r:udev_tbl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 18 16:20:52 localhost kernel: audit(1098116417.731:0): avc: 
denied  { associate } for  pid=549 exe=/sbin/restorecon name=initctl
dev=tmpfs ino=2668 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 18 16:20:52 localhost kernel: audit(1098116418.219:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles name=initctl
dev=tmpfs ino=2668 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 18 16:20:52 localhost kernel: audit(1098116418.227:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles
name=.udev.tdb dev=tmpfs ino=951 scontext=system_u:object_r:udev_tbl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 18 16:40:37 localhost kernel: audit(1098117605.779:0): avc: 
denied  { associate } for  pid=549 exe=/sbin/restorecon name=initctl
dev=tmpfs ino=2668 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 18 16:40:37 localhost kernel: audit(1098117606.259:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles name=initctl
dev=tmpfs ino=2668 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
Oct 18 16:40:37 localhost kernel: audit(1098117606.267:0): avc: 
denied  { associate } for  pid=768 exe=/usr/sbin/setfiles
name=.udev.tdb dev=tmpfs ino=951 scontext=system_u:object_r:udev_tbl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem
---------------------end log


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot fc3 test 2
2.
3.
    

Actual Results:  got multiple avc: denied errors  relevant to various
PIDs then the system booted into the X otherwise as normal

Expected Results:  The fc3test2 boot should not have had  avc: access
denied errors (i aint an expert so thats what I no)

Additional info:
Comment 1 Pekka Pietikäinen 2004-10-23 07:28:17 EDT
Hi

This issue should be fixed in more recent kernels (and test3):

* Thu Oct 07 2004 Dave Jones <davej@redhat.com>

- Rebase to 2.6.9-rc3-bk6
- Add xattr support for tmpfs.

Please reopen if problem persists after updating.

Note You need to log in before you can comment on or make changes to this bug.